package docker

import (
	"github.com/urfave/cli/v2"
	"ledo/app/modules/compose"
	"ledo/app/modules/context"
)

var CmdComposeRun = cli.Command{
	Name:        "run",
	Usage:       "run cmd in main container",
	Description: `Run command in main container`,
	Action:      RunComposeRun,
}

func RunComposeRun(cmd *cli.Context) error {
	ctx := context.InitCommand(cmd)
	compose.ExecComposerRun(ctx)
	return nil
}

